select files.checksum as checksum,filename,filesize,numfiles,path
from files,
     (select checksum,count(*) numfiles
      from files
      group by checksum
      having count(*) > 1
      ) dups
where files.checksum = dups.checksum
      and files.filesize > 0
order by files.checksum, files.path;
